package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TDictMajorBuilding;

/**
 * 重大建筑物字典 服务层
 */
public interface ITDictMajorBuildingService {

    TDictMajorBuilding selectTDictMajorBuildingByGuid(String guid);

    List<TDictMajorBuilding> selectTDictMajorBuildingList(TDictMajorBuilding tDictMajorBuilding);

    int insertTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding);

    int updateTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding);

    int deleteTDictMajorBuildingByGuid(String guid);

    int deleteTDictMajorBuildingByGuids(String[] guids);
}
